org.eclipse.gef.ui.palette

## Interface FlyoutPaletteComposite.FlyoutPreferences

Enclosing class:
  FlyoutPaletteComposite

    public static interface FlyoutPaletteComposite.FlyoutPreferences

FlyoutPreferences is used to save/load the preferences for the flyout palette.

Since:
  3.0

### Method Summary

Methods
`int` `getDockLocation()` Should return `PositionConstants.EAST` or `PositionConstants.WEST`.
`int` `getPaletteState()` When there is no saved state, this method can return any non-positive int (which will result in the palette using the default state -- collapsed), or `FlyoutPaletteComposite.STATE_COLLAPSED`, or `FlyoutPaletteComposite.STATE_PINNED_OPEN`
`int` `getPaletteWidth()` When there is no saved width, this method can return any int (preferrably a non-positive int).
`void` `setDockLocation(int location)` This method is invoked when the flyout palette's dock location is changed.
`void` `setPaletteState(int state)` This method is invoked when the flyout palette's state is changed (the new state becomes the default).
`void` `setPaletteWidth(int width)` This method is invoked when the flyout palette is resized.

### Method Detail

#### getDockLocation

    int getDockLocation()

Should return `PositionConstants.EAST` or `PositionConstants.WEST`. Any other int will be ignored and the default dock location (EAST) will be used instead.

Returns:
  the saved dock location of the Palette

#### getPaletteState

    int getPaletteState()

When there is no saved state, this method can return any non-positive int (which will result in the palette using the default state -- collapsed), or `FlyoutPaletteComposite.STATE_COLLAPSED`, or `FlyoutPaletteComposite.STATE_PINNED_OPEN`

Returns:
  the saved state of the palette

#### getPaletteWidth

    int getPaletteWidth()

When there is no saved width, this method can return any int (preferrably a non-positive int). Returning a non-positive int will cause the palette to be sized to the default size, whereas returning a postive int will find the closest match in the valid range (>= minimum and <= maximum)

Returns:
  the saved width of the flyout palette

#### setDockLocation

    void setDockLocation(int location)

This method is invoked when the flyout palette's dock location is changed. The provided dock location should be persisted and returned in `getDockLocation()`.

Parameters:
  `location` - `PositionConstants.EAST` or `PositionConstants.WEST`

#### setPaletteState

    void setPaletteState(int state)

This method is invoked when the flyout palette's state is changed (the new state becomes the default). The provided state should be persisted and returned in `getPaletteState()`.

Parameters:
  `state` - `FlyoutPaletteComposite.STATE_COLLAPSED` or `FlyoutPaletteComposite.STATE_PINNED_OPEN`

#### setPaletteWidth

    void setPaletteWidth(int width)

This method is invoked when the flyout palette is resized. The provided width should be persisted and returned in `getPaletteWidth()`.

Parameters:
  `width` - the new size of the flyout palette